Simple:Press Documentation

Previous Simple:Press Versions

If for some reason you need an older version of Simple:Press you can download them here. We have included all major releases from version 4.0 on.

These earlier versions are not recommended for new installs. If you are installing Simple:Press for the first time you should install the latest version. These versions are made available mainly for replacing files if you are running these older versions or for performing incremental upgrades.

If performing an upgrade from older versions to the latest one we recommend you ask about the steps required in the support forums. In most cases you do not have to upgrade to each version listed below. It typically only requires one or two of the older versions.

Version: 4.0
Version: 4.1
Version: 4.2
Version: 4.3
Version: 4.4
Version: 4.5.1
Version: 5.0
Version: 5.1
Version: 5.2
Version: 5.2.6 (for pre WP 3.6)
Version: 5.3
Version: 5.3.1
Version: 5.3.2
Version: 5.3.3
Version: 5.3.4
Version: 5.4
Version: 5.4.1
Version: 5.4.2
Version: 5.5
Version: 5.5.0.1
Version: 5.5.1
Version: 5.5.2
Version: 5.5.3
Version: 5.5.4
Version: 5.5.5
Version: 5.5.6
Version: 5.5.7
Version: 5.5.8
Version: 5.5.9
Version: 5.5.10
Version: 5.5.11
Version: 5.6
Version: 5.6.1
Version: 5.6.2
Version: 5.6.3
Version: 5.6.3.1
Version: 5.6.4
Version: 5.6.5
Version: 5.6.6
Version: 5.6.7
Version: 5.7
Version: 5.7.1
Version: 5.7.2
Version: 5.7.3
Version: 5.7.4
Version: 5.7.5
Version: 5.7.5.1
Version: 5.7.5.2
Version: 5.7.5.3

These older versions were tested for compatibility with the WordPress version that was available at the time they were released. They most likely will not work properly with the latest WordPress version and are only recommended to be installed temporarily when going from an older version of Simple:Press to the latest.

If you have any questions on these older versions we highly recommend you get some guidance from the support forum before installing.


Copyright © 2006-2019 Simple:Press. All Rights Reserved.